    Return the fractional area factor of a PHA data set.

get_areascal(id=None, bkg_id=None)
id - int or str, optional
bkg_id - int or str, optional

Return the AREASCAL setting for the source or background component of a PHA data set.

Return the AREASCAL value for the default data set:

>>> get_areascal()

Return the AREASCAL value for the first background component of dataset 2:

>>> get_areascal(id=2, bkg_id=1)

PARAMETERS

The parameters for this function are:

Parameter
Definition
id
The identifier for the data set to use. If not given then the default identifier is used, as returned by

`get_default_id` .
bkg_id
Set to identify which background component to use. The default value ( none ) means that the value is for the source component of the data set.

The return value from this function is:

areascal -- The AREASCAL value, which can be a scalar or a 1D array.

Notes

The fractional area scale is normally set to 1, with the ARF used to scale the model.

References

K. A. Arnaud, I. M. George & A. F. Tennant, "The OGIP Spectral File Format"

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023